import http from "@/api";
const ATT = `/attachment`;
// 下载管理分页列表
export const getAttachmentListApi = (params: any) => {
    return http.get<any>(`${ATT}/index`, params);
};
//下载管理详情
export const getAttachmentReadApi = (params: any) => {
    return http.get<any>(`${ATT}/read/${params}`);
};
//下载管理保存
export const getAttachmentSaveApi = (params: any) => {
    return http.post<any>(`${ATT}/save`, params, {
        headers: {
            "Content-Type": "application/x-www-form-urlencoded"
        }
    });
};
//下载管理更新
export const getAttachmentUpdateApi = (params: any) => {
    return http.put<any>(`${ATT}/update/${params.id}`, params);
};
//下载管理删除
export const getAttachmentListDelApi = (params: any) => {
    return http.delete<any>(`${ATT}/delete/${params}`);
};
//下载管理排序
export const getAttachmentSortApi = (params: any) => {
    return http.post<any>(`${ATT}/sort/${params.id}`, { sort: params.sort });
};
//下载管理启动禁止
export const getAttachmentEnableApi = (params: any) => {
    return http.get<any>(`${ATT}/enable/${params}`);
};
//下载管理附件上传
export const getAttachmentUpFileApi = (params: any) => {
    return http.post<any>(`${ATT}/upload`, params);
};
///attachment/upload
